Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.model.dynamics
Class Transition

    java.lang.Object
      com.beanexplorer.beans.Option
          biouml.model.dynamics.EModelRoleSupport
              biouml.model.dynamics.Transition

All Implemented Interfaces:
  EModelRole, ExpressionOwner, Role

public class Transition
extends EModelRoleSupport
implements ExpressionOwner

Field Summary
`protected java.lang.String` | `after` Indicates time delay for .
`protected Assignment[]` | `assignment`
`protected java.lang.String` | `when` Indicates condition when transition should occur.

Fields inherited from class biouml.model.dynamics.EModelRoleSupport
`comment`

Fields inherited from class com.beanexplorer.beans.Option
`notificationEnabled, propagationEnabled`

Constructor Summary
`Transition(DiagramElement de)`

Method Summary
`void` | `addAssignment(Assignment ea, boolean fire)`
`java.lang.String` | `getAfter()`
`Assignment[]` | `getAssignment()`
`Assignment` | `getAssignment(int i)`
`java.lang.String[]` | `getExpressions()` Returns all owned mathematical expressions.
`EModelRole` | `getRole()` Return role object essential to variables name resolving.
`java.lang.String` | `getWhen()`
`boolean` | `isExpression(java.lang.String propertyName)` Returns true if property contains string that should be parsed as mathematical expression.
`void` | `setAfter(java.lang.String after)`
`void` | `setAssignment(Assignment[] assignment)`
`void` | `setAssignment(int i, Assignment assignment)`
`void` | `setWhen(java.lang.String when)`
`java.lang.String` | `toString()`

Methods inherited from class biouml.model.dynamics.EModelRoleSupport
`clone, getComment, getDiagramElement, setComment`

Methods inherited from class com.beanexplorer.beans.Option
`addPropertyChangeListener, copyListenersTo, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getParent, isNotificationEnabled, isPropagationEnabled, removePropertyChangeListener, setNotificationEnabled, setParent, setPropagationEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### when

    protected java.lang.String when

  Indicates condition when transition should occur. Mutually exclusive with 'after'.

### after

    protected java.lang.String after

  Indicates time delay for . Mutually exclusive with 'when'.

### assignment

    protected Assignment[] assignment

Constructor Detail

### Transition

    public Transition(DiagramElement de)

Method Detail

### toString

    public java.lang.String toString()

### getWhen

    public java.lang.String getWhen()

### setWhen

    public void setWhen(java.lang.String when)

### getAfter

    public java.lang.String getAfter()

### setAfter

    public void setAfter(java.lang.String after)

### getAssignment

    public Assignment[] getAssignment()

### getAssignment

    public Assignment getAssignment(int i)

### setAssignment

    public void setAssignment(Assignment[] assignment)

### setAssignment

    public void setAssignment(int i,
                              Assignment assignment)

### addAssignment

    public void addAssignment(Assignment ea,
                              boolean fire)

### isExpression

    public boolean isExpression(java.lang.String propertyName)

  Description copied from interface: `ExpressionOwner`
  Returns true if property contains string that should be parsed as mathematical expression.

  Specified by:
    `isExpression` in interface `ExpressionOwner`

### getExpressions

    public java.lang.String[] getExpressions()

  Description copied from interface: `ExpressionOwner`
  Returns all owned mathematical expressions. Currently this methods is used to remove unused parameters.

  Specified by:
    `getExpressions` in interface `ExpressionOwner`

### getRole

    public EModelRole getRole()

  Description copied from interface: `ExpressionOwner`
  Return role object essential to variables name resolving.

  Specified by:
    `getRole` in interface `ExpressionOwner`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.